pydo.genai.get_model_catalog_card()

Generated on 3 Aug 2026 from pydo version v0.40.0

Usage

client.genai.get_model_catalog_card(id="\"example string\"", model_id=None)
Returns JSONRaises HttpResponseError

Description

Returns detailed information for a specific model in the catalog including capabilities, pricing, and code examples.

Parameters

id string required
model_id string optional

Model identifier used for API calls (e.g., "llama3.1-70b-instruct"). Alternative to UUID lookup.

Response Example

Show Response Example
{
  "data": {
    "availability": [
      "example string"
    ],
    "badges": [
      "example string"
    ],
    "capabilities": [
      "example string"
    ],
    "code_snippets": {
      "curl": "example string",
      "javascript": "example string",
      "python": "example string",
      "sdk": "example string"
    },
    "context_window": "128000",
    "creator": "\"Meta\"",
    "description": "\"Claude Sonnet 4 is Anthropic's most capable model...\"",
    "hugging_face_id": "\"meta-llama/Llama-3.3-70B-Instruct\"",
    "id": "\"506a3371-88d0-4047-9212-e2079497ac68\"",
    "max_output_tokens": "65536",
    "modalities": {
      "input": [
        "example string"
      ],
      "output": [
        "example string"
      ]
    },
    "model_id": "\"llama3.1-70b-instruct\"",
    "name": "\"Llama 3.1 70B\"",
    "parameter_count": 70,
    "pricing": {
      "cache_read_input_price_per_million": 0.15,
      "cache_write_1h_input_price_per_million": 10,
      "cache_write_5m_input_price_per_million": 6.25,
      "image_cache_read_input_price_per_million": 0.08,
      "image_input_price_per_million": 0.3,
      "image_output_price_per_million": 0.4,
      "input_cache_read": 0.15,
      "input_price_per_million": 0.6,
      "output_price_per_million": 0.9,
      "price_per_audio": 0.002,
      "price_per_image": 0.003,
      "price_per_megapixel": 3e-05,
      "price_per_second": 0.0001,
      "price_per_thousand_characters": 0.015,
      "price_per_video": 0.05,
      "reasoning_price_per_million": 0,
      "text_cache_read_input_price_per_million": 0.05,
      "text_input_price_per_million": 0.1,
      "text_output_price_per_million": 0.2
    },
    "pricing_detail": {
      "variants": []
    },
    "provider": "MODEL_PROVIDER_DIGITALOCEAN",
    "short_description": "\"Fast, efficient model for general tasks\"",
    "type": "\"text-to-text\""
  }
}

More Information

See /v2/gen-ai/models/catalog/{id} in the API reference for additional detail on responses, headers, parameters, and more.

We can't find any results for your search.

Try using different keywords or simplifying your search terms.